查询通知渠道¶
查询当前用户的站内、邮件和 Webhook 通知渠道配置。
GET https://billing.moi.matrixorigin.cn/api/v1/taas/notification-channels
调用前准备¶
准备个人访问令牌。
请求参数¶
将示例中的 $MOI_PERSONAL_ACCESS_TOKEN 替换为实际值。
curl --get "https://billing.moi.matrixorigin.cn/api/v1/taas/notification-channels" \
-H "X-API-Key: $MOI_PERSONAL_ACCESS_TOKEN"
此接口没有请求参数。
成功响应¶
{
"items": [
{
"id": "channel_example",
"user_id": "user_example",
"channel_key": "in_app",
"type": "in_app",
"name": "In-app",
"enabled": true,
"readonly": true,
"priorities": [
"severe",
"important",
"normal"
],
"config_version": 1,
"created_at": 1788710400,
"updated_at": 1788710400
}
]
}
字段 |
类型 |
说明 |
|---|---|---|
|
array of object |
通知渠道列表。 |
|
string |
渠道 ID。 |
|
string |
所属用户 ID。 |
|
string |
内置渠道标识。有值时返回。 |
|
string |
渠道类型。 |
|
string |
Webhook 子类型。有值时返回。 |
|
string |
渠道名称。 |
|
boolean |
是否启用。 |
|
boolean |
是否为只读渠道。 |
|
array of string |
允许发送的通知优先级。 |
|
string |
通知目标。邮件渠道返回已保存的邮箱地址,有值时返回。 |
|
integer |
渠道配置版本。 |
|
integer |
创建时间,Unix 秒。 |
|
integer |
更新时间,Unix 秒。 |
最后更新于